Page MenuHomePhabricator

Leak/Debugbreak when closing workbench related to MitkChart
Closed, WontfixPublic

Description

At least in debug mode the workbench does not close cleanly. A QT debug break point is triggered and the log console does not close correctly.

May be the last lines give a hint (I think the last two lines are also occuring independently from the statistics plugin, so it seems they can be ignored)

27.75 BlueBerry: Closing workbench...
[11756:6212:0109/202039.113:ERROR:render_process_impl.cc(213)] WebFrame LEAKED 1 TIMES
28.34 core.mod.core.log: closing logfile (C:/Users/floca/AppData/Local/DKFZ/MITK Workbench_3594778661/data/9/mitk-0.log)
[13144:2544:0109/202039.360:ERROR:process_win.cc(151)] Unable to terminate process: Zugriff verweigert (0x5)
[13144:18824:0109/202039.366:FATAL:resource_scheduler.cc(1044)] Check failed: client_map_.empty().

Event Timeline

floca triaged this task as Normal priority.Jan 9 2019, 8:29 PM
floca created this task.

Is most probably a Qt bug:
https://bugreports.qt.io/browse/QTBUG-69030
Should be fixed with Qt 5.12
The QtWebEngineView is full of bugs ๐Ÿ˜ 

hentsch lowered the priority of this task from Normal to Low.Feb 13 2019, 12:10 PM

Is not fixed with Qt 5.12.
It does only appear in Debug mode
Also, it also appears without building the image statistics plugin (measurement toolbox). Hence, the problem is probably originated in MitkChart (which uses QWebEngineWidget):

11.46 BlueBerry: Closing workbench...
[27036:26052:0213/120745.172:ERROR:render_process_impl.cc(210)] WebFrame LEAKED 1 TIMES
[11516:37788:0213/120745.356:ERROR:process_win.cc(151)] Unable to terminate process: Access is denied. (0x5)
hentsch renamed this task from Leak/Debugbreak when closing workbench after opening new image statistics plugin to Leak/Debugbreak when closing workbench related to MitkChart.Feb 13 2019, 12:10 PM
hentsch removed a parent task: Restricted Maniphest Task.
hentsch merged a task: Restricted Maniphest Task.Mar 19 2019, 2:34 PM
hentsch added a subscriber: โ€ข jungsi.
kislinsk added a subscriber: kislinsk.

Hi there! ๐Ÿ™‚

This task was auto-closed according to our Task Lifecycle Management.
Please follow this link for more information and don't forget that you are encouraged to reasonable re-open tasks to revive them. ๐Ÿš‘

Best wishes,
The MITK devs